<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:09 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ucm_interactionsFactory (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ucm_interactionsFactory (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_interactionsFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html" target="_top">Frames</a></li>
<li><a href="Ucm_interactionsFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions</div>
<h2 title="Interface Ucm_interactionsFactory" class="title">Interface Ucm_interactionsFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/Ucm_interactionsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.impl">Ucm_interactionsFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Ucm_interactionsFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions"><code>Ucm_interactionsPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">Ucm_interactionsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createConnectorDefinition--">createConnectorDefinition</a></span>()</code>
<div class="block">Returns a new object of class '<em>Connector Definition</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorPort.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorPort</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createConnectorPort--">createConnectorPort</a></span>()</code>
<div class="block">Returns a new object of class '<em>Connector Port</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorPortConfiguration.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorPortConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createConnectorPortConfiguration--">createConnectorPortConfiguration</a></span>()</code>
<div class="block">Returns a new object of class '<em>Connector Port Configuration</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionDefinitionModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionDefinitionModule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createInteractionDefinitionModule--">createInteractionDefinitionModule</a></span>()</code>
<div class="block">Returns a new object of class '<em>Interaction Definition Module</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionItem.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createInteractionItem--">createInteractionItem</a></span>()</code>
<div class="block">Returns a new object of class '<em>Interaction Item</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionPattern.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionPattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createInteractionPattern--">createInteractionPattern</a></span>()</code>
<div class="block">Returns a new object of class '<em>Interaction Pattern</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionRole.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionRole</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createInteractionRole--">createInteractionRole</a></span>()</code>
<div class="block">Returns a new object of class '<em>Interaction Role</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ItemBinding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createItemBinding--">createItemBinding</a></span>()</code>
<div class="block">Returns a new object of class '<em>Item Binding</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortElement.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">PortElement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createPortElement--">createPortElement</a></span>()</code>
<div class="block">Returns a new object of class '<em>Port Element</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">PortType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#createPortType--">createPortType</a></span>()</code>
<div class="block">Returns a new object of class '<em>Port Type</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">Ucm_interactionsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html#getUcm_interactionsPackage--">getUcm_interactionsPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">Ucm_interactionsFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createInteractionDefinitionModule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInteractionDefinitionModule</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionDefinitionModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionDefinitionModule</a>&nbsp;createInteractionDefinitionModule()</pre>
<div class="block">Returns a new object of class '<em>Interaction Definition Module</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interaction Definition Module</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInteractionPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInteractionPattern</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionPattern.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionPattern</a>&nbsp;createInteractionPattern()</pre>
<div class="block">Returns a new object of class '<em>Interaction Pattern</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interaction Pattern</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConnectorPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectorPort</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorPort.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorPort</a>&nbsp;createConnectorPort()</pre>
<div class="block">Returns a new object of class '<em>Connector Port</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Connector Port</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInteractionRole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInteractionRole</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionRole.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionRole</a>&nbsp;createInteractionRole()</pre>
<div class="block">Returns a new object of class '<em>Interaction Role</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interaction Role</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPortElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPortElement</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortElement.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">PortElement</a>&nbsp;createPortElement()</pre>
<div class="block">Returns a new object of class '<em>Port Element</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Port Element</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConnectorDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectorDefinition</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorDefinition</a>&nbsp;createConnectorDefinition()</pre>
<div class="block">Returns a new object of class '<em>Connector Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Connector Definition</em>'.</dd>
</dl>
</li>
</ul>
<a name="createItemBinding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createItemBinding</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ItemBinding</a>&nbsp;createItemBinding()</pre>
<div class="block">Returns a new object of class '<em>Item Binding</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Item Binding</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPortType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPortType</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">PortType</a>&nbsp;createPortType()</pre>
<div class="block">Returns a new object of class '<em>Port Type</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Port Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConnectorPortConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectorPortConfiguration</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorPortConfiguration.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorPortConfiguration</a>&nbsp;createConnectorPortConfiguration()</pre>
<div class="block">Returns a new object of class '<em>Connector Port Configuration</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Connector Port Configuration</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInteractionItem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInteractionItem</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/InteractionItem.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">InteractionItem</a>&nbsp;createInteractionItem()</pre>
<div class="block">Returns a new object of class '<em>Interaction Item</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interaction Item</em>'.</dd>
</dl>
</li>
</ul>
<a name="getUcm_interactionsPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getUcm_interactionsPackage</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">Ucm_interactionsPackage</a>&nbsp;getUcm_interactionsPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_interactionsFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/PortType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html" target="_top">Frames</a></li>
<li><a href="Ucm_interactionsFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
